Skip to main content
GET
/
activity
List global market activity
curl --request GET \
  --url https://api-testnet.context.markets/v2/activity
{
  "activity": [
    {
      "type": "trade",
      "timestamp": "2023-11-07T05:31:56Z",
      "data": {
        "side": "<string>",
        "price": 123,
        "amount": 123,
        "contracts": 123
      },
      "marketId": "0x1111111111111111111111111111111111111111111111111111111111111111"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true
  },
  "marketId": "0x1111111111111111111111111111111111111111111111111111111111111111"
}

Query Parameters

cursor
string

Opaque pagination cursor

Example:

"eyJ0aW1lc3RhbXAiOiIyMDI2LTAzLTAzVDAwOjAwOjAwLjAwMFoiLCJpZCI6MTIzfQ=="

limit
integer
default:50
Required range: 1 <= x <= 100
types
string

Comma-separated activity types: trade, oracle_update, resolution, market_created

Example:

"trade,resolution"

startTime
string

Start time filter (any date-parseable string)

endTime
string

End time filter (any date-parseable string)

Response

Activity feed

activity
object[]
required
pagination
object
required
marketId
string

32-byte hex hash

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x1111111111111111111111111111111111111111111111111111111111111111"